<?php

		//---------------------------------------------------------------------------------
		// function DropStudentTables($Tables)
		//
		// Tables deikeninde tablo isimleri tutulmaktadr.
		// Tablo isimleri '#' karakteri ile ayrlmtr.
		// Tablo isimleri silinecek olan tablolar gsterir.
		// eOkul da tablo isimleri, ogrenci.mdb veri tabanndan farkl olarak
		// byk harle balar
		//
		//---------------------------------------------------------------------------------
		function DropStudentTables($TableNames) {
			include_once('../lib.php');
			$TableNames = $TableNames."#Schools#Teachers";
			$Tables = explode("#", $TableNames);
			foreach ($Tables as $i => $TableName) {
				if (TableExists($TableName)) {
				$SQL = 'DROP TABLE '.$TableName;
				$Result = ExecSQL($SQL, 'Aklama: DropStudentTables($TableName).<br>Konum: '.$_SERVER['PHP_SELF']);
				}
			}
		}

		//---------------------------------------------------------------------------------
		// function CreateStudentTables($Tables)
		//
		// Tables deikeninde tablo isimleri tutulmaktadr.
		// Tablo isimleri '#' karakteri ile ayrlmtr.
		// Fonksiyon reci bilgilerini tutan tablolar ve kayt alanlarn olutururur.
		//
		//---------------------------------------------------------------------------------
		function CreateStudentTables($TableNames) {
			include_once('../lib.php');

			// Her guncellemede Schools tablosu silinir
			$Tables = explode("#", $TableNames."#Schools#Teachers");
			foreach ($Tables as $i => $TableName) {

				echo $TableName;


				// Sadece gncellenecek tablolar yeniden oluturuluyor.
				switch ($TableName) {

                case 'Teachers':
					$SQL = "CREATE TABLE Teachers (".
					"  ID int(5) NOT NULL auto_increment,".
					"  UID char(24) default 'Belirtilmemi',".
					"  Password char(24) default 'Belirtilmemi',".
					"  KEY NewIndex (ID)".
					") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(Teachers).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'Schools':
					$SQL =	"CREATE TABLE Schools (".
  					"  SchoolCode tinyint(3) unsigned NOT NULL default '0',".
  					"  SchoolName char(255) NOT NULL default 'Belirtilmemi',".
  					"  DirectorName char(255) default 'Belirtilmemi'".
					") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(Schools).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'LessonsSpool':
					$SQL =  "CREATE TABLE LessonsSpool (".
							"  LessonCode char(5) default NULL,".
							"  LessonName char(30) default NULL,".
							"  LessonPeriod char(2) default NULL,".
							"  DepartmentLesson char(1) default NULL".
							") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(LessonsSpool).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'Classes':
					$SQL =  "CREATE TABLE Classes (".
							"  ClassCode char(6) default NULL,".
							"  ResponsibleTeacher char(30) default NULL,".
							"  DirectorAssistant char(30) default NULL,".
							"  Level char(2) default NULL,".
							"  LessonPeriod char(2) default NULL,".
							"  xxx char(30) default NULL".
							") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(Classes).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'Continuity':
					$SQL =  "CREATE TABLE Continuity (".
							"  SchoolNumber int(11) default NULL,".
							"  AM longtext,".
							"  PM longtext".
							") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(Continuity).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'ClassLessons':
					$SQL =  "CREATE TABLE ClassLessons (".
							"  LessonCode char(5) default NULL,".
							"  LessonName char(30) default NULL,".
							"  LessonPeriod smallint(6) default NULL,".
							"  ClassCode char(6) default NULL,".
							"  Teacher char(30) default NULL,".
							"  RowNumber smallint(6) default NULL".
							") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(ClassLessons).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'Grades':
					$SQL = "CREATE TABLE Grades (".
							"  SchoolNumber int(11) default NULL,".
							"  LessonRowNumber int(11) default NULL,".
							"  LessonCode varchar(5) default NULL,".
							"  Semester1Grade char(1) default NULL,".
							"  Semester2Grade char(1) default NULL,".
							"  Semester1WrittenGrade varchar(30) default NULL,".
							"  Semester1OralGrade varchar(30) default NULL,".
							"  Semester1Homework varchar(9) default NULL,".
							"  Semester2WrittenGrade varchar(30) default NULL,".
							"  Semester2OralGrade varchar(30) default NULL,".
							"  Semester2Homework varchar(9) default NULL,".
							"  Semester1Approval char(1) default NULL,".
							"  Semester2Approval char(1) default NULL,".
							"  KEY Index1 (SchoolNumber,LessonCode)".
							") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(Grades).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;

				case 'Profile':
					$SQL =  "CREATE TABLE Profile (".
							"  SchoolNumber varchar(10) default NULL,".
							"  Surname varchar(20) default NULL,".
							"  Name varchar(20) default NULL,".
							"  ClassCode varchar(6) default NULL,".
							"  SelectiveLesson varchar(30) default NULL,".
							"  ForeignLanguage varchar(30) default NULL,".
							"  RegistrationDate varchar(8) default NULL,".
							"  Address varchar(255) default NULL,".
							"  Telephone varchar(20) default NULL,".
							"  ParentsSurname varchar(20) default NULL,".
							"  ParentsName varchar(20) default NULL,".
							"  ParentsKinship varchar(20) default NULL,".
							"  ParentsJob varchar(20) default NULL,".
							"  ParentsHomeAddress varchar(255) default NULL,".
							"  ParentsHomeTelephone varchar(20) default NULL,".
							"  ParentsWorkAddress varchar(255) default NULL,".
							"  ParentsWorkTelephone varchar(20) default NULL,".
							"  PreviousSchool varchar(50) default NULL,".
							"  FatherName varchar(20) default NULL,".
							"  MotherName varchar(20) default NULL,".
							"  BirthPlace varchar(20) default NULL,".
							"  BirthDate varchar(8) default NULL,".
							"  City varchar(20) default NULL,".
							"  Town varchar(20) default NULL,".
							"  Quarter varchar(20) default NULL,".
							"  VolumeNumber varchar(10) default NULL,".
							"  RowNumber varchar(10) default NULL,".
							"  FamilyRowNumber varchar(10) default NULL,".
							"  RegistryOfBirths varchar(20) default NULL,".
							"  ReasonOfRequest varchar(10) default NULL,".
							"  RecordNumber varchar(20) default NULL,".
							"  IdentiyCardSerialNumber varchar(20) default NULL,".
							"  RequestDate varchar(8) default NULL,".
							"  EducationalBranch varchar(30) default NULL,".
							"  FatherHomeAddress varchar(255) default NULL,".
							"  FatherHomeTelephone varchar(20) default NULL,".
							"  FatherWorkAddress varchar(255) default NULL,".
							"  FatherWorkTelephone varchar(20) default NULL,".
							"  FatherGSMTelephone varchar(20) default NULL,".
							"  MotherHomeAddress varchar(255) default NULL,".
							"  MotherHomeTelephone varchar(20) default NULL,".
							"  MotherWorkAddress varchar(255) default NULL,".
							"  MotherWorkTelephone varchar(20) default NULL,".
							"  MotherGSMTelephone varchar(20) default NULL,".
							"  Departmant varchar(30) default NULL,".
							"  FatherJob varchar(30) default NULL,".
							"  MotherJob varchar(30) default NULL,".
							"  Origin varchar(15) default NULL,".
							"  MilitaryOffice varchar(20) default NULL,".
							"  Level char(2) default NULL,".
							"  Password varchar(8) default NULL,".
							"  KEY NewIndex (SchoolNumber)".
							") TYPE=MyISAM;";
					$Result = ExecSQL($SQL, 'Aklama: CreateStudentTables(Profile).<br>Konum: '.$_SERVER['PHP_SELF']);
					break;
				} // switch case
			} // foreach
		}

        //---------------------------------------------------------------------------------
		// function CreateNativeTables()
		//
		// renci bilgileri dndaki bilgilerin tutulaca
		// e-okul tablolarn oluturur. Bu tablolarn isimleri
		// kucuk harfle balar.
		//
		//---------------------------------------------------------------------------------
		function CreateNativeTables() {

			include_once('../lib.php');

			$SQL = "CREATE TABLE errors (".
				  	"	id int(10) unsigned NOT NULL auto_increment,".
				  	"	uid varchar(12) NOT NULL default '',".
				  	"	ip varchar(15) NOT NULL default '',".
				  	"	host varchar(255) NOT NULL default '',".
				  	"	date varchar(50) NOT NULL default '',".
				  	"	message text NOT NULL,".
				  	"	UNIQUE KEY id (id),".
				  	"	KEY id_2 (id)".
				  	") TYPE=MyISAM COMMENT='Sisteme oluan hatalar.';";

			if (!TableExists('errors'))
			$Result = ExecSQL($SQL, 'Aklama: CreateNativeTables(errors).<br>Konum: '.$_SERVER['PHP_SELF']);


			$SQL = 	"CREATE TABLE info (".
				   	"	fieldname varchar(50) default NULL,".
				  	"	fieldvalue text NOT NULL".
				  	") TYPE=MyISAM COMMENT='eitli e-okul bilgileri.';";

			if (!TableExists('info'))
			$Result = ExecSQL($SQL, 'Aklama: CreateNativeTables(info).<br>Konum: '.$_SERVER['PHP_SELF']);


			$SQL = "CREATE TABLE loginlogs (".
  				   "	id int(3) unsigned NOT NULL auto_increment,".
				   "	uid char(12) NOT NULL default '',".
  				   "	sid char(64) NOT NULL default '',".
				   "	referer char(255) NOT NULL default '',".
  				   "	timestamp char(10) NOT NULL default '',".
  				   "	logout char(1) NOT NULL default '0',".
				   "	ip char(15) NOT NULL default '',".
  				   "	host char(255) NOT NULL default '',".
  				   "	date char(40) NOT NULL default '',".
  				   "	UNIQUE KEY id (id),".
  				   "	KEY id_2 (id)".
				   ") TYPE=MyISAM COMMENT='Sisteme giri yapan kullanclar';";

			if (!TableExists('loginlogs'))
			$Result = ExecSQL($SQL, 'Aklama: CreateNativeTables(loginlogs).<br>Konum: '.$_SERVER['PHP_SELF']);


			$SQL = "CREATE TABLE passwords (".
				   "id int(10) unsigned NOT NULL auto_increment,".
  				   "uid char(20) default NULL,".
  				   "password char(15) default NULL,".
  				   "classcode char(10) default NULL,".
  				   "KEY NewIndex (id,uid)".
				   ") TYPE=MyISAM COMMENT='retmen ve rencilerin ifreleri.';";

			if (!TableExists('passwords'))
			$Result = ExecSQL($SQL, 'Aklama: CreateNativeTables(passwords).<br>Konum: '.$_SERVER['PHP_SELF']);


			$SQL = 	"CREATE TABLE sessions (".
					"  id int(3) unsigned NOT NULL auto_increment,".
					"  sid char(32) NOT NULL default '0',".
					"  time int(11) NOT NULL default '0',".
					"  uid char(20) NOT NULL default '',".
					"  agent char(255) NOT NULL default '',".
					"  KEY indeks (id),".
					"  KEY indeks2 (sid)".
					") TYPE=MyISAM COMMENT='Login olan kullanclara ait bilgiler.';";

			if (!TableExists('sessions'))
			$Result = ExecSQL($SQL, 'Aklama: CreateNativeTables(sessions).<br>Konum: '.$_SERVER['PHP_SELF']);


			$SQL = 	"CREATE TABLE updatelogs (".
					"  id int(3) unsigned NOT NULL auto_increment,".
					"  uid char(12) NOT NULL default '',".
					"  successcode char(255) NOT NULL default '',".
					"  referer char(255) NOT NULL default '',".
					"  timestamp char(10) NOT NULL default '',".
					"  logout char(1) NOT NULL default '0',".
					"  ip char(15) NOT NULL default '',".
					"  host char(255) NOT NULL default '',".
					"  date char(50) NOT NULL default '',".
					"  password char(32) NOT NULL default '',".
					"  recordcount int(10) unsigned NOT NULL default '0',".
					"  sqlfilesize char(15) NOT NULL default '',".
					"  UNIQUE KEY id (id),".
					"  KEY id_2 (id)".
					") TYPE=MyISAM COMMENT='Veri taban gncelleme bilgileri.';";

			if (!TableExists('updatelogs'))
			$Result = ExecSQL($SQL, 'Aklama: CreateNativeTables(updatelogs).<br>Konum: '.$_SERVER['PHP_SELF']);
		}

		//---------------------------------------------------------------------------------
		// LogUpdate($SID)
		//
		// Gncelleme ilemine ait bilgileri veritabanna kaydet.
		// Oturum baar kodu, yetki tanmlar ve gncelleme ilemine ait deerler
		// ve tarih bilgisi veritabanna kaydedilir.
		//
		//---------------------------------------------------------------------------------
		function LogUpdate($SuccessCode, $UserName, $Password, $RecordCount, $SQLFileSize) {
			include_once('../lib.php');
			$TimeStamp = GetSeconds();
			$LoginDate = TurkishDate()."-".Date("h:i:s");
			$Addr = $_SERVER['REMOTE_ADDR'];
			$Host = $_SERVER['REMOTE_HOST'];
			$SQL = "insert into updatelogs (sqlfilesize, recordcount, successcode, uid ,password, referer, timestamp, date, ip, host) values ('$SQLFileSize','$RecordCount','$SuccessCode', '$UserName', '$Password', '$REFERER', '$TimeStamp', '$LoginDate', '$Addr', '$Host')";
			$Result = ExecSQL($SQL, 'Aklama: LogUpdate().<br>Konum: '.$_SERVER['PHP_SELF']);
		}

		//---------------------------------------------------------------------------------
		// function CreateTestUser()
		//
		// Ziyaretilerin sistemi incelemek iin kullanabilecei bir kullanc
		// oluturur. Test kullancsna ait bilgiler update/test_user.sql
		// dosyasnda bulunmaktadr.
		//
		//---------------------------------------------------------------------------------
		function CreateTestUser() {

			include_once('../lib.php');
			include_once('../config.php');

			// Test Kullancs oluturulmu mu.
			$SQL = "select * from Profile where SchoolNumber='$TestUserName'";
			$Result = ExecSQL($SQL, 'Aklama: CreateTestUser(1).<br>Konum: '.$_SERVER['PHP_SELF']);

			if (mysql_num_rows($Result) == 0) {

                $path = getcwd()."/test_user.sql";
	            $handle = fopen($path, "r");
	            while (!feof($handle)) {

                   // Test Kullancsna ait kayitlar olusturuluyor
	               $buffer = fgets($handle, 8192);
	               if (strlen(trim($buffer)) > 0)
				   $Result = ExecSQL($buffer, 'Aklama: CreateTestUser(2).<br>Konum: '.$_SERVER['PHP_SELF']);
	            }
	            fclose($handle);
			}
			return;
		}

        //---------------------------------------------------------------------------------
		// function RemoveTestUser()
		//
		// Ziyaretilerin sistemi incelemek iin kulland test kullancsna ait
		// bilgileri veri tabanndan siler.
		//
		//---------------------------------------------------------------------------------
		function RemoveTestUser() {
        	include_once('../lib.php');
			include_once('../config.php');

        	$SQL = "delete from Profile where SchoolNumber='$TestUserName'";
			$Result = ExecSQL($SQL, 'Aklama: RemoveTestUser(1).<br>Konum: '.$_SERVER['PHP_SELF']);

            $SQL = "delete from Continuity where SchoolNumber='$TestUserName'";
			$Result = ExecSQL($SQL, 'Aklama: RemoveTestUser(2).<br>Konum: '.$_SERVER['PHP_SELF']);

            $SQL = "delete from Classes where (ClassCode='2 / B') and (ResponsibleTeacher='Ece Ylmaz')";
			$Result = ExecSQL($SQL, 'Aklama: RemoveTestUser(3).<br>Konum: '.$_SERVER['PHP_SELF']);

            $SQL = "delete from Grades where SchoolNumber='$TestUserName'";
			$Result = ExecSQL($SQL, 'Aklama: RemoveTestUser(4).<br>Konum: '.$_SERVER['PHP_SELF']);

            $SQL = "delete from LessonsSpool where SUBSTRING(LessonCode, 1, 1) = '_';";
			$Result = ExecSQL($SQL, 'Aklama: RemoveTestUser(5).<br>Konum: '.$_SERVER['PHP_SELF']);

            $SQL = "delete from ClassLessons where SUBSTRING(LessonCode, 1, 1) = '_';";
			$Result = ExecSQL($SQL, 'Aklama: RemoveTestUser(6).<br>Konum: '.$_SERVER['PHP_SELF']);
		}

		//---------------------------------------------------------------------------------
		// function GetUpdateDate()
		//
		// e-Okul veri tabannn en son gncellendii tarihi getirir.
		//
		//---------------------------------------------------------------------------------
		function GetUpdateDate() {

			$SQL = "select max(id) from updatelogs";
			$Result = ExecSQL($SQL, 'Aklama: GetUpdate (max id).<br>Konum: '.$_SERVER['PHP_SELF']);

			$SQL = "select timestamp from updatelogs where id='".mysql_result($Result,0)."'";
			$Result = ExecSQL($SQL, 'Aklama: GetUpdate (timestamp).<br>Konum: '.$_SERVER['PHP_SELF']);
			$Record = mysql_fetch_array($Result);
			$UpdateTimeStamp = $Record['timestamp'];

			if ($UpdateTimeStamp == '')
			return "<b>imdiye kadar hi gncellenmedi.</b>";

			$DateArray = getdate($UpdateTimeStamp);

			$months[1]  =  "Ocak";
			$months[2]  =  "ubat";
			$months[3]  =  "Mart";
			$months[4]  =  "Nisan";
			$months[5]  =  "Mays";
			$months[6]  =  "Haziran";
			$months[7]  =  "Temmuz";
			$months[8]  =  "Austos";
			$months[9]  =  "Eyll";
			$months[10] =  "Ekim";
			$months[11] =  "Kasm";
			$months[12] =  "Aralk";

			$haftagunu = $DateArray["wday"];
			$ay = $DateArray["mon"];
			$yil = $DateArray["year"];
			$gun = $DateArray["mday"];

			$UpdateDate = $gun. " ".$months[$ay]. " ".$yil;

			return $UpdateDate;
		}

		//---------------------------------------------------------------------------------
		// function SchoolName2Code($SchoolName)
		//
		// Okul adn, veritabannda okul adna karlk gelen
		// kod numarasna evirir.
		//
		//---------------------------------------------------------------------------------
		function SchoolName2Code($SchoolName) {
			$SQL = "select SchoolCode from Schools where SchoolName='$SchoolName'";
			$Result = ExecSQL($SQL, 'Aklama: SchoolName2Code().<br>Konum: '.$_SERVER['PHP_SELF']);
			return mysql_result($Result, 0);
		}
?>